// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet.name;

import eu.etaxonomy.cdm.model.taxon.Taxon;


/**
 * @author p.ciardelli
 * @created 20.04.2009
 * @version 1.0
 */
public class MisapplicationPropertySource extends TaxonBasePropertySource {

	/**
	 * @param misappliedName
	 */
	public MisapplicationPropertySource(Taxon misappliedName) {
		super(misappliedName, "Misapplied Name");
	}
}
