// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;

import org.apache.log4j.Logger;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.widgets.Text;

/**
 * @author n.hoffmann
 * @created 02.07.2009
 * @version 1.0
 */
public class CommonHelper {
	private static final Logger logger = Logger.getLogger(CommonHelper.class);
	
	/**
	 * 
	 * @param text
	 * @param listener
	 * @param string
	 */
	public static void editTextWithoutTriggeringListeners(Text text, ModifyListener listener, String string){
		text.removeModifyListener(listener);
		
		String textString = string != null ? string : "";
		
		text.setText(textString);
		text.addModifyListener(listener);
	}
}
