// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.user.view;

import org.apache.log4j.Logger;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import eu.etaxonomy.cdm.model.common.User;
import eu.etaxonomy.taxeditor.store.CdmStore;

/**
 * @author n.hoffmann
 * @created 01.07.2009
 * @version 1.0
 */
public class UserManagerLabelProvider extends LabelProvider {
	private static final Logger logger = Logger
			.getLogger(UserManagerLabelProvider.class);

	public Image getImage(Object element) {
		return null;
	}

	public String getText(Object element) {
		User user = (User) element;
		
		User authenticatedUser = CdmStore.getLoginManager().getAuthenticatedUser();
		
		return user.equals(authenticatedUser) ? "* " + user.getUsername() : user.getUsername();
	}

}
