// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.handler;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.taxeditor.dialogs.LoginDialog;

/**
 * @author n.hoffmann
 * @created Aug 7, 2009
 * @version 1.0
 */
public class ShowLoginWindowHandler extends AbstractHandler implements IHandler{
	private static final Logger logger = Logger
			.getLogger(ShowLoginWindowHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {

		LoginDialog loginDialog = new LoginDialog(HandlerUtil.getActiveShell(event));
		loginDialog.open();
		
		return null;
		
	}

	
	
}
