// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import org.eclipse.ui.IWorkbenchPreferencePage;

import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
import eu.etaxonomy.taxeditor.store.VocabularyStore;

/**
 * @author n.hoffmann
 * @created 25.06.2009
 * @version 1.0
 */
public class DistributionStatusMenuPreferences extends AbstractMenuPreferences<PresenceAbsenceTermBase<PresenceAbsenceTermBase<?>>> implements
		IWorkbenchPreferencePage {


	/**
	 * @param initialVocabulary
	 * @param preferedTerms
	 * @param title
	 * @param description
	 */
	public DistributionStatusMenuPreferences() {
		super(VocabularyStore.getPresenceAbsenceTerms(), 
				"Distribution Status Preferences", 
				"Choose which distribution states should be shown.",
				false);
	}
	
}
